'use strict';

var jsxRuntime = require('react/jsx-runtime');
var styled = require('styled-components');
var react = require('react');
var cardanoConnectWithWalletCore = require('@cardano-foundation/cardano-connect-with-wallet-core');
var cardanoPeerConnect = require('@fabianbormann/cardano-peer-connect');
var Color = require('color');
var reactQrcodeLogo = require('react-qrcode-logo');

/******************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */
/* global Reflect, Promise, SuppressedError, Symbol */


var __assign = function() {
    __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};

function __awaiter(thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
}

function __generator(thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
}

function __makeTemplateObject(cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
}
typeof SuppressedError === "function" ? SuppressedError : function (error, suppressed, message) {
    var e = new Error(message);
    return e.name = "SuppressedError", e.error = error, e.suppressed = suppressed, e;
};

var Menu$1 = styled.div(templateObject_1$2 || (templateObject_1$2 = __makeTemplateObject(["\n  display: none;\n  position: absolute;\n  margin-top: 8px;\n  font-family: sans-serif;\n  width: 100%;\n  overflow: hidden;\n  z-index: 10;\n"], ["\n  display: none;\n  position: absolute;\n  margin-top: 8px;\n  font-family: sans-serif;\n  width: 100%;\n  overflow: hidden;\n  z-index: 10;\n"])));
var MenuItem$1 = styled('span').withConfig({
    shouldForwardProp: function (prop) {
        return !['primaryColor', 'primaryColorLight', 'borderRadius'].includes(prop);
    },
})(templateObject_2$2 || (templateObject_2$2 = __makeTemplateObject(["\n  color: ", ";\n  padding: 12px 16px;\n  text-decoration: none;\n  display: flex;\n  align-items: center;\n  cursor: pointer;\n  border-color: ", ";\n  border-style: solid;\n  border-width: 1px;\n  border-bottom: none;\n  background-color: white;\n\n  transition: border-color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms,\n    color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;\n\n  &:hover {\n    background-color: ", ";\n  }\n\n  &:first-child {\n    border-top-left-radius: ", "\n    border-top-right-radius: ", "\n    border-bottom: none;\n  }\n\n  &:last-child {\n    border-bottom-left-radius: ", "\n    border-bottom-right-radius: ", "\n    border-bottom: 1px solid ", ";\n  }\n"], ["\n  color: ", ";\n  padding: 12px 16px;\n  text-decoration: none;\n  display: flex;\n  align-items: center;\n  cursor: pointer;\n  border-color: ", ";\n  border-style: solid;\n  border-width: 1px;\n  border-bottom: none;\n  background-color: white;\n\n  transition: border-color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms,\n    color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;\n\n  &:hover {\n    background-color: ", ";\n  }\n\n  &:first-child {\n    border-top-left-radius: ", "\n    border-top-right-radius: ", "\n    border-bottom: none;\n  }\n\n  &:last-child {\n    border-bottom-left-radius: ", "\n    border-bottom-right-radius: ", "\n    border-bottom: 1px solid ", ";\n  }\n"])), function (props) { return props.primaryColor; }, function (props) { return props.primaryColor; }, function (props) { return props.primaryColorLight; }, function (props) { return "".concat(props.borderRadius, "px;"); }, function (props) { return "".concat(props.borderRadius, "px;"); }, function (props) { return "".concat(props.borderRadius, "px;"); }, function (props) { return "".concat(props.borderRadius, "px;"); }, function (props) { return props.primaryColor; });
var MenuItemIcon$1 = styled.img(templateObject_3$2 || (templateObject_3$2 = __makeTemplateObject(["\n  width: 24px;\n  height: 24px;\n  margin-right: 8px;\n"], ["\n  width: 24px;\n  height: 24px;\n  margin-right: 8px;\n"])));
var Button = styled('button').withConfig({
    shouldForwardProp: function (prop) {
        return !['primaryColor', 'customCSS', 'borderRadius'].includes(prop);
    },
})(templateObject_4$2 || (templateObject_4$2 = __makeTemplateObject(["\n  padding: 16px;\n  cursor: pointer;\n  font-size: 16px;\n  font-weight: bold;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  width: 100%;\n  overflow: hidden;\n  text-overflow: ellipsis;\n  border: 1px solid ", ";\n  color: ", ";\n  background-color: white;\n\n  ", "\n\n  &:disabled {\n    border: 1px solid #333;\n    color: #333;\n    backgroundcolor: #eee;\n  }\n"], ["\n  padding: 16px;\n  cursor: pointer;\n  font-size: 16px;\n  font-weight: bold;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  width: 100%;\n  overflow: hidden;\n  text-overflow: ellipsis;\n  border: 1px solid ", ";\n  color: ", ";\n  background-color: white;\n\n  ", "\n\n  &:disabled {\n    border: 1px solid #333;\n    color: #333;\n    backgroundcolor: #eee;\n  }\n"])), function (props) { return props.primaryColor; }, function (props) { return props.primaryColor; }, function (props) { return props.borderRadius && "border-radius: ".concat(props.borderRadius, "px;"); });
var Dropdown = styled('div').withConfig({
    shouldForwardProp: function (prop) {
        return !['primaryColor', 'customCSS', 'borderRadius'].includes(prop);
    },
})(templateObject_5$1 || (templateObject_5$1 = __makeTemplateObject(["\n  min-width: 180px;\n  max-width: 240px;\n  font-weight: bold;\n  position: relative;\n  display: inline-block;\n  padding-bottom: 8px;\n  padding-top: 8px;\n\n  ", "\n\n  &:hover ", " {\n    display: block;\n  }\n\n  &:hover ", " {\n    background-color: ", ";\n    color: white;\n  }\n"], ["\n  min-width: 180px;\n  max-width: 240px;\n  font-weight: bold;\n  position: relative;\n  display: inline-block;\n  padding-bottom: 8px;\n  padding-top: 8px;\n\n  ", "\n\n  &:hover ", " {\n    display: block;\n  }\n\n  &:hover ", " {\n    background-color: ", ";\n    color: white;\n  }\n"])), function (props) { return props.customCSS; }, Menu$1, Button, function (props) { return props.primaryColor; });
var DesktopMenuItem$1 = styled.span(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  color: #333;\n  position: relative;\n  padding: 12px 16px;\n  text-decoration: none;\n  display: flex;\n  align-items: center;\n  border-color: #333;\n  border-style: solid;\n  border-width: 1px;\n  border-bottom: none;\n  background-color: #e3e3e3;\n  overflow: hidden;\n\n  &:first-child {\n    border-top-left-radius: ", "\n    border-top-right-radius: ", "\n    border-bottom: none;\n  }\n\n  &:last-child {\n    border-bottom-left-radius: ", "\n    border-bottom-right-radius: ", "\n    border-bottom: 1px solid #333;\n  }\n\n  & > span {\n    text-transform: uppercase;\n    font-size: 0.5rem;\n    position: absolute;\n    right: 0;\n    width: 100%;\n    padding: 3px;\n    background: #777;\n    color: #fff;\n    text-align: center;\n    transform: rotate(-35deg);\n    translate: 25%;\n  }\n\n  & ", " {\n    filter: brightness(0);\n  }\n"], ["\n  color: #333;\n  position: relative;\n  padding: 12px 16px;\n  text-decoration: none;\n  display: flex;\n  align-items: center;\n  border-color: #333;\n  border-style: solid;\n  border-width: 1px;\n  border-bottom: none;\n  background-color: #e3e3e3;\n  overflow: hidden;\n\n  &:first-child {\n    border-top-left-radius: ", "\n    border-top-right-radius: ", "\n    border-bottom: none;\n  }\n\n  &:last-child {\n    border-bottom-left-radius: ", "\n    border-bottom-right-radius: ", "\n    border-bottom: 1px solid #333;\n  }\n\n  & > span {\n    text-transform: uppercase;\n    font-size: 0.5rem;\n    position: absolute;\n    right: 0;\n    width: 100%;\n    padding: 3px;\n    background: #777;\n    color: #fff;\n    text-align: center;\n    transform: rotate(-35deg);\n    translate: 25%;\n  }\n\n  & ", " {\n    filter: brightness(0);\n  }\n"])), function (props) { return "".concat(props.borderRadius, "px;"); }, function (props) { return "".concat(props.borderRadius, "px;"); }, function (props) { return "".concat(props.borderRadius, "px;"); }, function (props) { return "".concat(props.borderRadius, "px;"); }, MenuItemIcon$1);
var templateObject_1$2, templateObject_2$2, templateObject_3$2, templateObject_4$2, templateObject_5$1, templateObject_6;

function useCardano(props) {
    var _this = this;
    var dAppConnect = react.useRef(null);
    var cip45Connected = react.useRef(false);
    var cip45Address = react.useRef(null);
    var cip45Identicon = react.useRef(null);
    var connectedCip45Wallet = react.useRef(null);
    var _a = react.useState(cardanoConnectWithWalletCore.Wallet.meerkatAddressObserver.get()), meerkatAddress = _a[0], setMeerkatAddress = _a[1];
    var _b = react.useState(cardanoConnectWithWalletCore.Wallet.enabledObserver.get()), isEnabled = _b[0], setIsEnabled = _b[1];
    var _c = react.useState(cardanoConnectWithWalletCore.Wallet.isConnectingObserver.get()), isConnecting = _c[0], setIsConnecting = _c[1];
    var _d = react.useState(cardanoConnectWithWalletCore.Wallet.enabledWalletObserver.get()), enabledWallet = _d[0], setEnabledWallet = _d[1];
    var _e = react.useState(cardanoConnectWithWalletCore.Wallet.stakeAddressObserver.get()), stakeAddress = _e[0], setStakeAddress = _e[1];
    var _f = react.useState(cardanoConnectWithWalletCore.Wallet.usedAddressesObserver.get()), usedAddresses = _f[0], setUsedAddresses = _f[1];
    var _g = react.useState(cardanoConnectWithWalletCore.Wallet.unusedAddressesObserver.get()), unusedAddresses = _g[0], setUnusedAddresses = _g[1];
    var _h = react.useState(cardanoConnectWithWalletCore.Wallet.accountBalanceObserver.get()), accountBalance = _h[0], setAccountBalance = _h[1];
    var _j = react.useState(cardanoConnectWithWalletCore.Wallet.installedWalletExtensionsObserver.get()), installedExtensions = _j[0], setInstalledExtensions = _j[1];
    var _k = react.useState(cardanoConnectWithWalletCore.Wallet.isConnected.get()), isConnected = _k[0], setIsConnected = _k[1];
    var _l = react.useState(cardanoConnectWithWalletCore.Wallet.lastConnectedWallet.get()), lastConnectedWallet = _l[0], setLastConnectedWallet = _l[1];
    var limitNetwork = (props === null || props === void 0 ? void 0 : props.limitNetwork) || cardanoConnectWithWalletCore.NetworkType.MAINNET;
    react.useEffect(function () {
        cardanoConnectWithWalletCore.Wallet.checkEnabled(limitNetwork).catch(function (error) {
            console.error(error);
            disconnect();
        });
        cardanoConnectWithWalletCore.Wallet.subscribeToObservables(setIsEnabled, setIsConnecting, setEnabledWallet, setStakeAddress, setUsedAddresses, setUnusedAddresses, setInstalledExtensions, setAccountBalance, setIsConnected, setLastConnectedWallet, setMeerkatAddress);
        return function () {
            cardanoConnectWithWalletCore.Wallet.unsubscribeFromObservables(setIsEnabled, setIsConnecting, setEnabledWallet, setStakeAddress, setUsedAddresses, setUnusedAddresses, setInstalledExtensions, setAccountBalance, setIsConnected, setLastConnectedWallet, setMeerkatAddress);
        };
    }, []);
    var initDappConnect = react.useCallback(function (dAppName, dAppUrl, verifyConnection, onApiInject, onApiEject) {
        dAppConnect.current = new cardanoPeerConnect.DAppPeerConnect({
            dAppInfo: {
                name: dAppName,
                url: dAppUrl,
            },
            announce: [
                'https://pro.passwordchaos.gimbalabs.io',
                'wss://tracker.files.fm:7073/announce',
                'wss://tracker.btorrent.xyz',
                'ws://tracker.files.fm:7072/announce',
                'wss://tracker.openwebtorrent.com:443/announce',
            ],
            verifyConnection: verifyConnection,
            onApiInject: onApiInject,
            onApiEject: onApiEject,
            onConnect: function (address, walletInfo) {
                var _a, _b;
                cip45Connected.current = true;
                cip45Address.current = address;
                cip45Identicon.current = (_b = (_a = dAppConnect.current) === null || _a === void 0 ? void 0 : _a.getIdenticon()) !== null && _b !== void 0 ? _b : null;
                if (walletInfo) {
                    connectedCip45Wallet.current = walletInfo;
                }
            },
            onDisconnect: function () {
                cip45Connected.current = false;
                cip45Address.current = null;
                cip45Identicon.current = null;
            },
            useWalletDiscovery: true,
        });
        setMeerkatAddress(dAppConnect.current.getAddress());
    }, []);
    var disconnect = react.useCallback(function () {
        cardanoConnectWithWalletCore.Wallet.disconnect();
    }, []);
    var connectToWallet = react.useCallback(function (walletName, retries, retryIntervalInMs) {
        if (retries === void 0) { retries = 20; }
        if (retryIntervalInMs === void 0) { retryIntervalInMs = 25; }
        return __awaiter(_this, void 0, void 0, function () {
            var error_1;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        _a.trys.push([0, 2, , 3]);
                        return [4 /*yield*/, cardanoConnectWithWalletCore.Wallet.connectToWallet(walletName, limitNetwork, retries, retryIntervalInMs)];
                    case 1:
                        _a.sent();
                        return [3 /*break*/, 3];
                    case 2:
                        error_1 = _a.sent();
                        console.error(error_1);
                        return [3 /*break*/, 3];
                    case 3: return [2 /*return*/];
                }
            });
        });
    }, [limitNetwork]);
    var checkEnabled = react.useCallback(function () { return __awaiter(_this, void 0, void 0, function () {
        var error_2;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    _a.trys.push([0, 2, , 3]);
                    return [4 /*yield*/, cardanoConnectWithWalletCore.Wallet.checkEnabled(limitNetwork)];
                case 1:
                    _a.sent();
                    return [3 /*break*/, 3];
                case 2:
                    error_2 = _a.sent();
                    console.error(error_2);
                    disconnect();
                    return [3 /*break*/, 3];
                case 3: return [2 /*return*/];
            }
        });
    }); }, [lastConnectedWallet]);
    var signMessage = react.useCallback(function (message, onSignMessage, onSignError) { return __awaiter(_this, void 0, void 0, function () {
        return __generator(this, function (_a) {
            cardanoConnectWithWalletCore.Wallet.signMessage(message, onSignMessage, onSignError);
            return [2 /*return*/];
        });
    }); }, [isEnabled, enabledWallet, limitNetwork]);
    var connect = react.useCallback(function (walletName, onConnect, onError) { return __awaiter(_this, void 0, void 0, function () {
        var errorHandler;
        return __generator(this, function (_a) {
            if (isConnecting)
                return [2 /*return*/];
            errorHandler = typeof onError === 'undefined'
                ? function (error) { return console.error(error); }
                : onError;
            cardanoConnectWithWalletCore.Wallet.connect(walletName, limitNetwork, onConnect, errorHandler);
            return [2 /*return*/];
        });
    }); }, [connectToWallet, isConnecting]);
    react.useEffect(function () {
        if (isConnected) {
            checkEnabled();
        }
    }, [isConnected]);
    react.useEffect(function () {
        cardanoConnectWithWalletCore.Wallet.startInjectWalletListener();
        return function () {
            cardanoConnectWithWalletCore.Wallet.stopInjectWalletListener();
        };
    }, []);
    return {
        isEnabled: isEnabled,
        isConnected: isConnected,
        isConnecting: isConnecting,
        enabledWallet: enabledWallet,
        stakeAddress: stakeAddress,
        usedAddresses: usedAddresses,
        unusedAddresses: unusedAddresses,
        signMessage: signMessage,
        connect: connect,
        disconnect: disconnect,
        installedExtensions: installedExtensions,
        accountBalance: accountBalance,
        dAppConnect: dAppConnect,
        initDappConnect: initDappConnect,
        meerkatAddress: meerkatAddress,
        cip45Connected: cip45Connected,
        cip45Address: cip45Address,
        cip45Identicon: cip45Identicon,
        connectedCip45Wallet: connectedCip45Wallet,
    };
}

var Modal = styled('div').withConfig({
    shouldForwardProp: function (prop) { return !['customCSS'].includes(prop); },
})(templateObject_1$1 || (templateObject_1$1 = __makeTemplateObject(["\n  position: fixed;\n  z-index: 100;\n  left: 0;\n  top: 0;\n  width: 100%;\n  height: 100%;\n  overflow: auto;\n  background-color: rgb(0, 0, 0);\n  background-color: rgba(0, 0, 0, 0.4);\n  ", "\n"], ["\n  position: fixed;\n  z-index: 100;\n  left: 0;\n  top: 0;\n  width: 100%;\n  height: 100%;\n  overflow: auto;\n  background-color: rgb(0, 0, 0);\n  background-color: rgba(0, 0, 0, 0.4);\n  ", "\n"])), function (props) { return props.customCSS; });
var ModalContent = styled.div(templateObject_2$1 || (templateObject_2$1 = __makeTemplateObject(["\n  background-color: #fefefe;\n  margin: 15% auto;\n  padding: 20px;\n  border: 1px solid #aeaeae;\n  border-radius: 9px;\n  width: fit-content;\n  display: flex;\n  flex-direction: column;\n  align-items: center;\n"], ["\n  background-color: #fefefe;\n  margin: 15% auto;\n  padding: 20px;\n  border: 1px solid #aeaeae;\n  border-radius: 9px;\n  width: fit-content;\n  display: flex;\n  flex-direction: column;\n  align-items: center;\n"])));
var CopyInputContainer = styled('div').withConfig({
    shouldForwardProp: function (prop) { return !['primaryColor'].includes(prop); },
})(templateObject_3$1 || (templateObject_3$1 = __makeTemplateObject(["\n  display: flex;\n  align-items: center;\n  border: 1px solid #ccc;\n  border-radius: 3px;\n  margin-top: 10px;\n  padding: 10px;\n  width: 95%;\n  max-width: 300px;\n\n  & > input {\n    flex: 1;\n    border: none;\n    outline: none;\n    padding-left: 10px;\n    padding-right: 10px;\n  }\n  & > button {\n    background-color: ", ";\n    border-radius: 3px;\n    color: white;\n    border: none;\n    padding: 6px 10px;\n    cursor: pointer;\n  }\n"], ["\n  display: flex;\n  align-items: center;\n  border: 1px solid #ccc;\n  border-radius: 3px;\n  margin-top: 10px;\n  padding: 10px;\n  width: 95%;\n  max-width: 300px;\n\n  & > input {\n    flex: 1;\n    border: none;\n    outline: none;\n    padding-left: 10px;\n    padding-right: 10px;\n  }\n  & > button {\n    background-color: ", ";\n    border-radius: 3px;\n    color: white;\n    border: none;\n    padding: 6px 10px;\n    cursor: pointer;\n  }\n"])), function (props) { return props.primaryColor; });
var fadeInOut = styled.keyframes(templateObject_4$1 || (templateObject_4$1 = __makeTemplateObject(["\n  0%, 100% {\n    opacity: 0;\n  }\n  10%, 90% {\n    opacity: 1;\n  }\n"], ["\n  0%, 100% {\n    opacity: 0;\n  }\n  10%, 90% {\n    opacity: 1;\n  }\n"])));
var Toast = styled.div(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  visibility: hidden;\n  background-color: #333;\n  color: #fff;\n  text-align: center;\n  border-radius: 5px;\n  padding: 10px;\n  position: fixed;\n  bottom: 20px;\n  left: 50%;\n  transform: translateX(-50%);\n  z-index: 1;\n\n  &.show {\n    visibility: visible;\n    animation: ", " 3s ease;\n  }\n"], ["\n  visibility: hidden;\n  background-color: #333;\n  color: #fff;\n  text-align: center;\n  border-radius: 5px;\n  padding: 10px;\n  position: fixed;\n  bottom: 20px;\n  left: 50%;\n  transform: translateX(-50%);\n  z-index: 1;\n\n  &.show {\n    visibility: visible;\n    animation: ", " 3s ease;\n  }\n"])), fadeInOut);
var templateObject_1$1, templateObject_2$1, templateObject_3$1, templateObject_4$1, templateObject_5;

var ModalDialog = function (props) {
    var visible = props.visible, content = props.content, handleClose = props.handleClose, qrStyle = props.qrStyle, eyeRadius = props.eyeRadius, icon = props.icon, subtitle = props.subtitle, primaryColor = props.primaryColor, customCSS = props.customCSS;
    var toastRef = react.useRef(null);
    var onClickCopy = function (event) {
        var _a;
        event.stopPropagation();
        navigator.clipboard.writeText(content);
        (_a = toastRef.current) === null || _a === void 0 ? void 0 : _a.classList.add('show');
        setTimeout(function () {
            var _a;
            (_a = toastRef.current) === null || _a === void 0 ? void 0 : _a.classList.remove('show');
        }, 3000);
    };
    return (jsxRuntime.jsx(Modal, __assign({ onClick: function () {
            if (typeof handleClose === 'function') {
                handleClose();
            }
        }, customCSS: customCSS || '', style: { display: visible ? 'block' : 'none' } }, { children: jsxRuntime.jsxs(ModalContent, __assign({ "data-testid": "modal-content" }, { children: [jsxRuntime.jsx(reactQrcodeLogo.QRCode, { removeQrCodeBehindLogo: true, logoImage: icon ? icon : undefined, ecLevel: "H", eyeRadius: eyeRadius ? eyeRadius : 0, qrStyle: qrStyle ? qrStyle : 'squares', value: content }), jsxRuntime.jsxs(CopyInputContainer, __assign({ primaryColor: primaryColor || '#0538AF' }, { children: [jsxRuntime.jsx("input", { type: "text", value: content, style: { textOverflow: 'ellipsis' }, readOnly: true }), jsxRuntime.jsx("button", __assign({ onClick: onClickCopy }, { children: "Copy" }))] })), jsxRuntime.jsx("p", __assign({ style: { maxWidth: 300 } }, { children: subtitle
                        ? subtitle
                        : 'You can utilize a CIP45-compliant mobile wallet, such as Eternl, on your smartphone to establish a connection as a peer-to-peer wallet.' })), jsxRuntime.jsx(Toast, __assign({ ref: toastRef }, { children: "P2P identifier copied to clipboard!" }))] })) })));
};

var ConnectWalletButton = function (_a) {
    var _b;
    var label = _a.label, disabled = _a.disabled, message = _a.message, _c = _a.supportedWallets, supportedWallets = _c === void 0 ? [
        'Flint',
        'Nami',
        'Eternl',
        'Yoroi',
        'Typhon',
        'NuFi',
        'Lace',
    ] : _c, _d = _a.showUnavailableWallets, showUnavailableWallets = _d === void 0 ? cardanoConnectWithWalletCore.UnavailableWalletVisibility.SHOW_UNAVAILABLE_ON_MOBILE : _d, _e = _a.alwaysVisibleWallets, alwaysVisibleWallets = _e === void 0 ? [] : _e, primaryColor = _a.primaryColor, _f = _a.borderRadius, borderRadius = _f === void 0 ? 15 : _f, customCSS = _a.customCSS, _g = _a.customActions, customActions = _g === void 0 ? [] : _g, _h = _a.hideActionMenu, hideActionMenu = _h === void 0 ? false : _h, afterComponent = _a.afterComponent, beforeComponent = _a.beforeComponent, limitNetwork = _a.limitNetwork, _j = _a.peerConnectEnabled, peerConnectEnabled = _j === void 0 ? false : _j, peerConnectSubtitle = _a.peerConnectSubtitle, peerConnectCustomCSS = _a.peerConnectCustomCSS, onConnect = _a.onConnect, onDisconnect = _a.onDisconnect, onSignMessage = _a.onSignMessage, _k = _a.showAccountBalance, showAccountBalance = _k === void 0 ? false : _k, onStakeAddressClick = _a.onStakeAddressClick, onConnectError = _a.onConnectError, _l = _a.dAppName, dAppName = _l === void 0 ? 'Awesome DApp' : _l, _m = _a.dAppUrl, dAppUrl = _m === void 0 ? 'http://awesome-dapp-url.tld/' : _m;
    var _o = useCardano({ limitNetwork: limitNetwork }), isEnabled = _o.isEnabled, stakeAddress = _o.stakeAddress, signMessage = _o.signMessage, connect = _o.connect, disconnect = _o.disconnect, isConnected = _o.isConnected, installedExtensions = _o.installedExtensions, enabledWallet = _o.enabledWallet, accountBalance = _o.accountBalance, dAppConnect = _o.dAppConnect, initDappConnect = _o.initDappConnect, meerkatAddress = _o.meerkatAddress;
    var _p = react.useState(false), showModalDialog = _p[0], setShowModalDialog = _p[1];
    react.useEffect(function () {
        if (peerConnectEnabled && dAppConnect.current === null) {
            var verifyConnection = function (walletInfo, callback) {
                if (walletInfo.requestAutoconnect) {
                    var accessAndAutoConnect = window.confirm("Do you want to automatically connect to wallet ".concat(walletInfo.name, " (").concat(walletInfo.address, ")?"));
                    callback(accessAndAutoConnect, accessAndAutoConnect);
                }
                else {
                    callback(window.confirm("Do you want to connect to wallet ".concat(walletInfo.name, " (").concat(walletInfo.address, ")?")), true);
                }
            };
            var onApiInject = function (name, address) {
                connect(name);
            };
            var onApiEject = function (name, address) {
                disconnect();
            };
            initDappConnect(dAppName, dAppUrl, verifyConnection, onApiInject, onApiEject);
        }
    }, []);
    var isMobile = cardanoConnectWithWalletCore.checkIsMobile();
    var availableWallets = cardanoConnectWithWalletCore.estimateAvailableWallets(supportedWallets, showUnavailableWallets, alwaysVisibleWallets, installedExtensions);
    var connectWallet = function (walletName) { return __awaiter(void 0, void 0, void 0, function () {
        var onSuccess, onError;
        return __generator(this, function (_a) {
            onSuccess = function () {
                if (typeof onConnect === 'function') {
                    onConnect(walletName);
                }
            };
            onError = function (error) {
                if (typeof onConnectError === 'function') {
                    onConnectError(walletName, error);
                }
                else {
                    if (error instanceof cardanoConnectWithWalletCore.WalletExtensionNotFoundError) {
                        if (walletName.toLowerCase() === 'nami') {
                            window.open("".concat(cardanoConnectWithWalletCore.chromeStoreUrl).concat(cardanoConnectWithWalletCore.chromeWalletExtensions.NAMI.name, "/").concat(cardanoConnectWithWalletCore.chromeWalletExtensions.NAMI.id));
                        }
                        else if (walletName.toLowerCase() === 'flint') {
                            window.open("".concat(cardanoConnectWithWalletCore.chromeStoreUrl).concat(cardanoConnectWithWalletCore.chromeWalletExtensions.FLINT.name, "/").concat(cardanoConnectWithWalletCore.chromeWalletExtensions.FLINT.id));
                        }
                        else if (walletName.toLowerCase() === 'typhon') {
                            window.open("".concat(cardanoConnectWithWalletCore.chromeStoreUrl).concat(cardanoConnectWithWalletCore.chromeWalletExtensions.TYPHON.name, "/").concat(cardanoConnectWithWalletCore.chromeWalletExtensions.TYPHON.id));
                        }
                        else if (walletName.toLowerCase() === 'yoroi') {
                            window.open("".concat(cardanoConnectWithWalletCore.chromeStoreUrl).concat(cardanoConnectWithWalletCore.chromeWalletExtensions.YOROI.name, "/").concat(cardanoConnectWithWalletCore.chromeWalletExtensions.YOROI.id));
                        }
                        else if (walletName.toLowerCase() === 'eternl') {
                            window.open("".concat(cardanoConnectWithWalletCore.chromeStoreUrl).concat(cardanoConnectWithWalletCore.chromeWalletExtensions.ETERNL.name, "/").concat(cardanoConnectWithWalletCore.chromeWalletExtensions.ETERNL.id));
                        }
                        else if (walletName.toLowerCase() === 'gerowallet') {
                            window.open("".concat(cardanoConnectWithWalletCore.chromeStoreUrl).concat(cardanoConnectWithWalletCore.chromeWalletExtensions.GEROWALLET.name, "/").concat(cardanoConnectWithWalletCore.chromeWalletExtensions.GEROWALLET.id));
                        }
                        else if (walletName.toLowerCase() === 'nufi') {
                            window.open("".concat(cardanoConnectWithWalletCore.chromeStoreUrl).concat(cardanoConnectWithWalletCore.chromeWalletExtensions.NUFI.name, "/").concat(cardanoConnectWithWalletCore.chromeWalletExtensions.NUFI.id));
                        }
                        else if (walletName.toLowerCase() === 'lace') {
                            window.open("".concat(cardanoConnectWithWalletCore.chromeStoreUrl).concat(cardanoConnectWithWalletCore.chromeWalletExtensions.LACE.name, "/").concat(cardanoConnectWithWalletCore.chromeWalletExtensions.LACE.id));
                        }
                        else {
                            alert("Please make sure you are using a modern browser and the ".concat(walletName, " browser extension has been installed."));
                        }
                    }
                    else {
                        alert("Something went wrong. Please try again later.");
                        console.warn(error);
                    }
                }
            };
            connect(walletName, onSuccess, onError);
            return [2 /*return*/];
        });
    }); };
    var connectMobileWallet = function (walletName) { return __awaiter(void 0, void 0, void 0, function () {
        return __generator(this, function (_a) {
            if (!isMobile) {
                connectWallet(walletName);
            }
            if (!cardanoConnectWithWalletCore.mobileWallets.includes(walletName.toLowerCase())) {
                return [2 /*return*/];
            }
            if (walletName.toLowerCase() === 'flint') {
                if (cardanoConnectWithWalletCore.isWalletInstalled('flint')) {
                    connectWallet(walletName);
                }
                else {
                    window.location.href = "".concat(cardanoConnectWithWalletCore.flintDeepLink).concat(encodeURIComponent(window.location.href));
                }
            }
            return [2 /*return*/];
        });
    }); };
    var themeColorObject = primaryColor
        ? Color(primaryColor)
        : Color('#0538AF');
    var getDefaultButtonTitle = function () {
        if (showAccountBalance) {
            var balanceWithTwoDecimalPlaces = Math.round(accountBalance * 100) / 100;
            return "\u20B3 ".concat(balanceWithTwoDecimalPlaces);
        }
        return "".concat(stakeAddress.slice(0, 12), "...");
    };
    var buttonTitle = stakeAddress && isConnected
        ? getDefaultButtonTitle()
        : label || 'Connect Wallet';
    var clickStakeAddress = function () {
        if (stakeAddress &&
            isConnected &&
            typeof onStakeAddressClick === 'function') {
            onStakeAddressClick(stakeAddress);
        }
    };
    var walletMenu = (jsxRuntime.jsxs(Menu$1, __assign({ id: "connect-wallet-menu" }, { children: [peerConnectEnabled && (jsxRuntime.jsxs(MenuItem$1, __assign({ gap: 0, borderRadius: borderRadius, primaryColor: themeColorObject.hex(), primaryColorLight: themeColorObject.mix(Color('white'), 0.9).hex(), onClick: function () { return setShowModalDialog(true); } }, { children: [jsxRuntime.jsx(MenuItemIcon$1, { src: cardanoConnectWithWalletCore.getWalletIcon('peer-connect') }), "P2P Wallet"] }))), availableWallets ? (
            // @ts-ignore TODO
            availableWallets.map(function (availableWallet) {
                if (isMobile &&
                    !cardanoConnectWithWalletCore.mobileWallets.includes(availableWallet.toLowerCase())) {
                    return (jsxRuntime.jsxs(DesktopMenuItem$1, __assign({ borderRadius: borderRadius }, { children: [jsxRuntime.jsx(MenuItemIcon$1, { src: cardanoConnectWithWalletCore.getWalletIcon(availableWallet) }), cardanoConnectWithWalletCore.capitalize(availableWallet), jsxRuntime.jsx("span", { children: "Desktop Only" })] }), availableWallet));
                }
                return (jsxRuntime.jsxs(MenuItem$1, __assign({ gap: 0, borderRadius: borderRadius, primaryColor: themeColorObject.hex(), primaryColorLight: themeColorObject
                        .mix(Color('white'), 0.9)
                        .hex(), onClick: function () { return connectMobileWallet(availableWallet); } }, { children: [jsxRuntime.jsx(MenuItemIcon$1, { src: cardanoConnectWithWalletCore.getWalletIcon(availableWallet) }), cardanoConnectWithWalletCore.capitalize(availableWallet)] }), availableWallet));
            })) : (jsxRuntime.jsx("span", __assign({ id: "connect-wallet-hint" }, { children: "Please install a wallet browser extension (".concat(cardanoConnectWithWalletCore.formatSupportedWallets(supportedWallets), " are supported)") })))] })));
    var actionMenu = hideActionMenu ? null : (jsxRuntime.jsxs(Menu$1, __assign({ id: "connect-wallet-menu" }, { children: [typeof message === 'string' && (jsxRuntime.jsx(MenuItem$1, __assign({ gap: 0, borderRadius: borderRadius, primaryColor: themeColorObject.hex(), primaryColorLight: themeColorObject.mix(Color('white'), 0.9).hex(), onClick: function () { return signMessage(message, onSignMessage); } }, { children: "Sign a message" }))), customActions.map(function (customAction, index) { return (jsxRuntime.jsx(MenuItem$1, __assign({ gap: 0, borderRadius: borderRadius, primaryColor: themeColorObject.hex(), primaryColorLight: themeColorObject.mix(Color('white'), 0.9).hex(), onClick: customAction.onClick }, { children: customAction.label }), "custom-action-".concat(index))); }), jsxRuntime.jsx(MenuItem$1, __assign({ gap: 0, borderRadius: borderRadius, primaryColor: themeColorObject.hex(), primaryColorLight: themeColorObject.mix(Color('white'), 0.9).hex(), onClick: function () {
                    disconnect();
                    if (typeof onDisconnect === 'function') {
                        onDisconnect();
                    }
                } }, { children: "Disconnect" }))] })));
    if (typeof beforeComponent === 'undefined' && enabledWallet) {
        var walletIcon = cardanoConnectWithWalletCore.getWalletIcon(enabledWallet);
        beforeComponent = (jsxRuntime.jsx("img", { height: 24, width: 24, style: { marginRight: '8px' }, src: walletIcon, alt: "".concat(enabledWallet, "-icon") }));
    }
    return (jsxRuntime.jsxs(Dropdown, __assign({ id: "connect-wallet-dropdown", customCSS: customCSS || '', borderRadius: 0, primaryColor: themeColorObject.hex() }, { children: [peerConnectEnabled && (jsxRuntime.jsx(ModalDialog, { handleClose: function () { return setShowModalDialog(false); }, content: meerkatAddress, icon: (_b = dAppConnect.current) === null || _b === void 0 ? void 0 : _b.getIdenticon(), visible: showModalDialog, primaryColor: themeColorObject.hex(), subtitle: peerConnectSubtitle, customCSS: peerConnectCustomCSS })), jsxRuntime.jsxs(Button, __assign({ customCSS: "", id: "connect-wallet-button", onClick: clickStakeAddress, borderRadius: borderRadius, primaryColor: themeColorObject.hex() }, { children: [beforeComponent, buttonTitle, afterComponent] })), !disabled && (isEnabled && isConnected ? actionMenu : walletMenu)] })));
};

var Menu = styled('div').withConfig({
    shouldForwardProp: function (prop) { return !['customCSS'].includes(prop); },
})(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  font-family: sans-serif;\n  min-width: 160px;\n  max-width: 240px;\n  width: fit-content;\n  z-index: 1;\n  ", "\n"], ["\n  font-family: sans-serif;\n  min-width: 160px;\n  max-width: 240px;\n  width: fit-content;\n  z-index: 1;\n  ", "\n"])), function (props) { return props.customCSS; });
var MenuItem = styled('span').withConfig({
    shouldForwardProp: function (prop) {
        return !['primaryColor', 'primaryColorLight', 'borderRadius', 'gap'].includes(prop);
    },
})(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  color: ", ";\n  padding: 12px 16px;\n  text-decoration: none;\n  display: flex;\n  transition: border-color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms,\n    color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;\n  align-items: center;\n  cursor: pointer;\n  border-color: ", ";\n  border-style: solid;\n  border-width: 1px;\n  border-bottom: none;\n  background-color: white;\n\n  ", "\n\n  ", "\n\n  ", "  \n\n  &:hover {\n    background-color: ", ";\n  }\n"], ["\n  color: ", ";\n  padding: 12px 16px;\n  text-decoration: none;\n  display: flex;\n  transition: border-color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms,\n    color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;\n  align-items: center;\n  cursor: pointer;\n  border-color: ", ";\n  border-style: solid;\n  border-width: 1px;\n  border-bottom: none;\n  background-color: white;\n\n  ", "\n\n  ", "\n\n  ", "  \n\n  &:hover {\n    background-color: ", ";\n  }\n"])), function (props) { return props.primaryColor; }, function (props) { return props.primaryColor; }, function (props) {
    return props.gap && props.gap > 0
        ? "margin-bottom: ".concat(props.gap, "px;\n         border-bottom: 1px solid ").concat(props.primaryColor, ";")
        : "&:first-child {\n          border-bottom: none;\n        }\n        \n        &:last-child {\n          border: 1px solid ".concat(props.primaryColor, ";\n        }");
}, function (props) { return props.borderRadius && "border-radius: ".concat(props.borderRadius, "px;"); }, function (props) {
    return props.borderRadius &&
        (!props.gap || props.gap < 1) &&
        "border-radius: unset;\n      &:first-child {\n    border-top-left-radius: ".concat(props.borderRadius, "px;\n    border-top-right-radius: ").concat(props.borderRadius, "px;\n      }\n      \n      &:last-child {\n    border-bottom-left-radius: ").concat(props.borderRadius, "px;\n    border-bottom-right-radius: ").concat(props.borderRadius, "px;\n      }\n    ");
}, function (props) { return props.primaryColorLight; });
var MenuItemIcon = styled.img(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  width: 24px;\n  height: 24px;\n  margin-right: 8px;\n"], ["\n  width: 24px;\n  height: 24px;\n  margin-right: 8px;\n"])));
var DesktopMenuItem = styled('span').withConfig({
    shouldForwardProp: function (prop) {
        return !['primaryColor', 'primaryColorLight', 'borderRadius', 'gap'].includes(prop);
    },
})(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  color: #333;\n  position: relative;\n  padding: 12px 16px;\n  text-decoration: none;\n  display: flex;\n  align-items: center;\n  border-color: #333;\n  border-style: solid;\n  border-width: 1px;\n  background-color: #e3e3e3;\n  overflow: hidden;\n  border-bottom: none;\n\n  ", "\n\n  ", "\n\n  ", "  \n\n  & > span {\n    text-transform: uppercase;\n    font-size: 0.5rem;\n    position: absolute;\n    right: 0;\n    width: 100%;\n    padding: 3px;\n    background: #777;\n    color: #fff;\n    text-align: center;\n    transform: rotate(-35deg);\n    translate: 25%;\n  }\n\n  & ", " {\n    filter: brightness(0);\n  }\n"], ["\n  color: #333;\n  position: relative;\n  padding: 12px 16px;\n  text-decoration: none;\n  display: flex;\n  align-items: center;\n  border-color: #333;\n  border-style: solid;\n  border-width: 1px;\n  background-color: #e3e3e3;\n  overflow: hidden;\n  border-bottom: none;\n\n  ", "\n\n  ", "\n\n  ", "  \n\n  & > span {\n    text-transform: uppercase;\n    font-size: 0.5rem;\n    position: absolute;\n    right: 0;\n    width: 100%;\n    padding: 3px;\n    background: #777;\n    color: #fff;\n    text-align: center;\n    transform: rotate(-35deg);\n    translate: 25%;\n  }\n\n  & ", " {\n    filter: brightness(0);\n  }\n"])), function (props) { return props.borderRadius && "border-radius: ".concat(props.borderRadius, "px;"); }, function (props) {
    return props.gap && props.gap > 0
        ? "margin-bottom: ".concat(props.gap, "px;\n         border-bottom: 1px solid #333;")
        : "&:first-child {\n          border-bottom: none;\n        }\n        \n        &:last-child {\n          border-bottom: 1px solid #333;\n        }";
}, function (props) {
    return props.borderRadius &&
        (!props.gap || props.gap < 1) &&
        "border-radius: unset;\n      &:first-child {\n    border-top-left-radius: ".concat(props.borderRadius, "px;\n    border-top-right-radius: ").concat(props.borderRadius, "px;\n      }\n      \n      &:last-child {\n    border-bottom-left-radius: ").concat(props.borderRadius, "px;\n    border-bottom-right-radius: ").concat(props.borderRadius, "px;\n      }\n    ");
}, MenuItemIcon);
var templateObject_1, templateObject_2, templateObject_3, templateObject_4;

var ConnectWalletList = function (_a) {
    var _b = _a.supportedWallets, supportedWallets = _b === void 0 ? ['Flint', 'Nami', 'Eternl', 'Yoroi', 'NuFi', 'Lace'] : _b, primaryColor = _a.primaryColor, borderRadius = _a.borderRadius, gap = _a.gap, _c = _a.showUnavailableWallets, showUnavailableWallets = _c === void 0 ? cardanoConnectWithWalletCore.UnavailableWalletVisibility.SHOW_UNAVAILABLE_ON_MOBILE : _c, _d = _a.alwaysVisibleWallets, alwaysVisibleWallets = _d === void 0 ? [] : _d, customCSS = _a.customCSS, limitNetwork = _a.limitNetwork, onConnect = _a.onConnect, onConnectError = _a.onConnectError;
    var _e = useCardano({
        limitNetwork: limitNetwork,
    }), connect = _e.connect, installedExtensions = _e.installedExtensions;
    var mobileWallets = ['flint'];
    var isMobile = cardanoConnectWithWalletCore.checkIsMobile();
    var availableWallets = cardanoConnectWithWalletCore.estimateAvailableWallets(supportedWallets, showUnavailableWallets, alwaysVisibleWallets, installedExtensions);
    var connectWallet = function (walletName) { return __awaiter(void 0, void 0, void 0, function () {
        var onSuccess, onError;
        return __generator(this, function (_a) {
            onSuccess = function () {
                if (typeof onConnect === 'function') {
                    onConnect(walletName);
                }
            };
            onError = function (error) {
                if (typeof onConnectError === 'function') {
                    onConnectError(walletName, error);
                }
                else {
                    if (error instanceof cardanoConnectWithWalletCore.WalletExtensionNotFoundError) {
                        var chromeStoreUrl = 'https://chrome.google.com/webstore/detail/';
                        if (walletName.toLowerCase() === 'nami') {
                            window.open("".concat(chromeStoreUrl, "nami/lpfcbjknijpeeillifnkikgncikgfhdo"));
                        }
                        else if (walletName.toLowerCase() === 'flint') {
                            window.open("".concat(chromeStoreUrl, "flint-wallet/hnhobjmcibchnmglfbldbfabcgaknlkj"));
                        }
                        else if (walletName.toLowerCase() === 'typhon') {
                            window.open("".concat(chromeStoreUrl, "typhon-wallet/kfdniefadaanbjodldohaedphafoffoh"));
                        }
                        else if (walletName.toLowerCase() === 'yoroi') {
                            window.open("".concat(chromeStoreUrl, "yoroi/ffnbelfdoeiohenkjibnmadjiehjhajb"));
                        }
                        else if (walletName.toLowerCase() === 'eternl') {
                            window.open("".concat(chromeStoreUrl, "eternl/kmhcihpebfmpgmihbkipmjlmmioameka"));
                        }
                        else if (walletName.toLowerCase() === 'gerowallet') {
                            window.open("".concat(chromeStoreUrl, "gerowallet/bgpipimickeadkjlklgciifhnalhdjhe"));
                        }
                        else if (walletName.toLowerCase() === 'nufi') {
                            window.open("".concat(chromeStoreUrl, "nufi/gpnihlnnodeiiaakbikldcihojploeca"));
                        }
                        else if (walletName.toLowerCase() === 'lace') {
                            window.open("".concat(chromeStoreUrl, "lace/gafhhkghbfjjkeiendhlofajokpaflmk"));
                        }
                        else {
                            alert("Please make sure you are using a modern browser and the ".concat(walletName, " browser extension has been installed."));
                        }
                    }
                    else {
                        alert("Something went wrong. Please try again later.");
                    }
                }
            };
            connect(walletName, onSuccess, onError);
            return [2 /*return*/];
        });
    }); };
    var connectMobileWallet = function (walletName) { return __awaiter(void 0, void 0, void 0, function () {
        return __generator(this, function (_a) {
            if (!isMobile) {
                connectWallet(walletName);
            }
            if (!mobileWallets.includes(walletName.toLowerCase())) {
                return [2 /*return*/];
            }
            if (walletName.toLowerCase() === 'flint') {
                if (cardanoConnectWithWalletCore.isWalletInstalled('flint')) {
                    connectWallet(walletName);
                }
                else {
                    window.location.href = "https://flint-wallet.app.link/browse?dappUrl=".concat(encodeURIComponent(window.location.href));
                }
            }
            return [2 /*return*/];
        });
    }); };
    var themeColorObject = primaryColor
        ? Color(primaryColor)
        : Color('#0538AF');
    return (jsxRuntime.jsx(Menu, __assign({ customCSS: customCSS || '', "data-testid": "connect-wallet-list" }, { children: availableWallets ? (availableWallets.map(function (availableWallet) {
            if (isMobile &&
                !mobileWallets.includes(availableWallet.toLowerCase())) {
                return (jsxRuntime.jsxs(DesktopMenuItem, __assign({ primaryColor: themeColorObject.hex(), primaryColorLight: themeColorObject
                        .mix(Color('white'), 0.9)
                        .hex(), borderRadius: borderRadius || 0, gap: gap || 0 }, { children: [jsxRuntime.jsx(MenuItemIcon, { src: cardanoConnectWithWalletCore.getWalletIcon(availableWallet) }), cardanoConnectWithWalletCore.capitalize(availableWallet), jsxRuntime.jsx("span", { children: "Desktop Only" })] }), availableWallet));
            }
            return (jsxRuntime.jsxs(MenuItem, __assign({ primaryColor: themeColorObject.hex(), primaryColorLight: themeColorObject
                    .mix(Color('white'), 0.9)
                    .hex(), borderRadius: borderRadius || 0, gap: gap || 0, onClick: function () { return connectMobileWallet(availableWallet); } }, { children: [jsxRuntime.jsx(MenuItemIcon, { src: cardanoConnectWithWalletCore.getWalletIcon(availableWallet) }), cardanoConnectWithWalletCore.capitalize(availableWallet)] }), availableWallet));
        })) : (jsxRuntime.jsx("span", { children: "Please install a wallet browser extension (".concat(cardanoConnectWithWalletCore.formatSupportedWallets(supportedWallets), " are supported)") })) })));
};

exports.ConnectWalletButton = ConnectWalletButton;
exports.ConnectWalletList = ConnectWalletList;
exports.useCardano = useCardano;
//# sourceMappingURL=index.js.map
